Yo CLI
======

[![Latest Version](https://img.shields.io/github/release/toin0u/yo-cli.svg?style=flat-square)](https://github.com/toin0u/yo-cli/releases)
[![Build Status](https://img.shields.io/travis/toin0u/yo-cli/master.svg?style=flat-square)](https://travis-ci.org/toin0u/yo-cli)
[![Quality Score](https://img.shields.io/scrutinizer/g/toin0u/yo-cli.svg?style=flat-square)](https://scrutinizer-ci.com/g/toin0u/yo-cli)
[![Code Coverage](https://img.shields.io/scrutinizer/coverage/g/toin0u/yo-cli.svg?style=flat-square)](https://scrutinizer-ci.com/g/toin0u/yo-cli)
[![HHVM Status](https://img.shields.io/hhvm/toin0u/yo-cli.svg?style=flat-square)](http://hhvm.h4cc.de/package/toin0u/yo-cli)
[![Total Downloads](https://img.shields.io/packagist/dt/toin0u/yo-cli.svg?style=flat-square)](https://packagist.org/packages/toin0u/yo-cli)

**Yo from your console**


Install
-------

Yo CLI is available via [Composer](http://getcomposer.org).

```
$ composer require toin0u/yo-cli
```


Usage
-----

First you need to create a configuration file with your API token.
You can see an [example here](https://github.com/toin0u/yo-cli/blob/master/res/yo.yml.dist).

- custom location: `yo.phar <command> -c path/to/file`
- `.yo.yml`
- `yo.yml`
- `$HOME/.yo.yml`


Commands
--------

- Yo TOIN0U: `yo.phar user toin0u`
- Yo TOIN0U with a ink: `yo.phar user toin0u http://sbin.dk/`
- Yo TOIN0U with a GPS coordinate: `yo.phar user toin0u 55.6760968 12.5683371`
- Yo ALL your subscribers: `yo.phar all`
- Yo ALL your subscribers with a link: `yo.phar all http://sbin.dk/`
- Check if TOIN0U Yo username exists or not: `yo.phar check toin0u`
- Get your total subscribers: `yo.phar total`
- Create an accound named TOIN0U999: `yo.phar create toin0u999` ([screencast](https://asciinema.org/a/15969))

NB: Yo ALL is limited to **one per minute** !


Testing
-------

Yo CLI is tested with [PHPUnit](https://phpunit.de/).

```
$ phpunit
```


Contributing
------------

Please see [CONTRIBUTING](CONTRIBUTING.md) for details.


Credits
-------

- [Antoine Corcy](https://github.com/toin0u)
- [All Contributors](https://github.com/toin0u/yo-cli/contributors)


Contributor Code of Conduct
---------------------------

As contributors and maintainers of this project, we pledge to respect all people
who contribute through reporting issues, posting feature requests, updating
documentation, submitting pull requests or patches, and other activities.

We are committed to making participation in this project a harassment-free
experience for everyone, regardless of level of experience, gender, gender
identity and expression, sexual orientation, disability, personal appearance,
body size, race, age, or religion.

Examples of unacceptable behavior by participants include the use of sexual
language or imagery, derogatory comments or personal attacks, trolling, public
or private harassment, insults, or other unprofessional conduct.

Project maintainers have the right and responsibility to remove, edit, or reject
comments, commits, code, wiki edits, issues, and other contributions that are
not aligned to this Code of Conduct. Project maintainers who do not follow the
Code of Conduct may be removed from the project team.

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported by opening an issue or contacting one or more of the project
maintainers.

This Code of Conduct is adapted from the [Contributor
Covenant](http:contributor-covenant.org), version 1.0.0, available at
[http://contributor-covenant.org/version/1/0/0/](http://contributor-covenant.org/version/1/0/0/)


License
-------

The MIT License (MIT). Please see [License File](LICENSE) for more information.
